@ECHO OFF

:: path to java.exe
SET JAVA_EXE=java.exe

:: memory settings
SET JAVA_HEAP_MINIMUM=32m
SET JAVA_HEAP_MAXIMUM=128m
SET JAVA_PERM_SIZE=32m

:: prefer IPv4 networking
SET JAVA_PREFER_IPV4=true

:: hardware acceleration via OpenGL
SET JAVA_OPENGL=false

:: launch Manual
%JAVA_EXE% -cp "OpenEstate-Tool.jar" -Xms%JAVA_HEAP_MINIMUM% -Xmx%JAVA_HEAP_MAXIMUM% -XX:MaxPermSize=%JAVA_PERM_SIZE% -Dsun.java2d.opengl=%JAVA_OPENGL% -Djava.net.preferIPv4Stack=%JAVA_PREFER_IPV4% -Djava.ext.dirs=lib -Dfile.encoding=UTF-8 com.openindex.openestate.tool.ImmoToolHelpDialog %*
